%define git	0
%define rel	1

%if %git
%define release		%mkrel 0.%git.%rel
%define distname	%name-%git.tar.lzma
%define dirname		%name
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

Summary:	Web browser based on WebKitGtk
Name:		midori
Version:	0.0.18
Release:	%{release}
# For git: git clone http://software.twotoasts.de/media/midori.git
Source0:	http://software.twotoasts.de/media/midori/%{distname}
License:	GPLv2+
Group:		Networking/WWW
URL:		http://software.twotoasts.de/?page=midori
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	WebKitGtk-devel
BuildRequires:	libsexy-devel
BuildRequires:	icu-devel
BuildRequires:	jpeg-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libxslt-devel
BuildRequires:	intltool
Provides:	webclient

%description
Midori is a lightweight GTK+ 2 web browser based on WebKitGtk. It 
features tabs, windows and session management, bookmarks stored with 
XBEL, searchbox based on OpenSearch, and user scripts support.

%prep
%setup -q -n %{dirname}
# Fix files date in the future...
find -exec touch {} \;

%build
%if %git
./autogen.sh
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon May 05 2008 Funda Wang <fundawang@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 201368
- 0.0.18 final

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.com> 0.0.18-0.20080423.1mdv2009.0
+ Revision: 197035
- buildrequires intltool
- new snapshot
- drop the middle click patch, as middle clicking now works properly
- new snapshot 20080415

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.com> 0.0.18-0.20080320.1mdv2008.1
+ Revision: 189106
- rediff middleclick.patch
- bump to current git to build against new webkit
- add middleclick.patch: middle click acts as left click to avoid crash caused by bad handling of middle click in webkit (#37717) - patch from Nick Manley

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new webkit
    - add explicit provides on webclient

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.com> 0.0.17-1mdv2008.1
+ Revision: 160322
- new release 0.0.17

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 146047
- BR jpeg
- BR icu

  + Adam Williamson <awilliamson@mandriva.com>
    - new release 0.0.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.13-1mdv2008.1
+ Revision: 119609
- new release 0.0.13

* Fri Nov 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.12-1mdv2008.1
+ Revision: 114202
- new release 0.0.12 (finally I get to update my own package for a change ;>)

  + Pascal Terjan <pterjan@mandriva.org>
    - s/Gdk/Gtk/ in summary and description

* Fri Nov 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 111364
- update to new version 0.0.11

* Wed Nov 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.10-2mdv2008.1
+ Revision: 111026
- rebuild for new libicu

* Sat Oct 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 97937
- 0.0.10
- Drop P0, fixed upstream

* Mon Oct 08 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.8-1mdv2008.0
+ Revision: 95732
- 0.0.8
- WebKitGdk is dead it is now WebKitGtk
- Add P0 to switch to update to the new api
- Use the .desktop which is now provided

* Mon Sep 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.6-1mdv2008.0
+ Revision: 78483
- use Fedora license policy
- minor spec clean
- new release 0.0.6

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 77440
- 0.0.5
- switch to WebKit
- use autoconf2.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 17 2007 Michael Scherer <misc@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 52780
- version 0.0.3

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.2-1mdv2008.0
+ Revision: 41681
- new release 0.0.2; drop X-Mandriva menu category; drop patch (no longer needed)

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 29831
- Import midori

